# Importing New Users

If you already have a list of your users from another database (for example, Salesforce.com, Excel, or another source), you can quickly enter data into PeakCommerce by importing all your user accounts as a CSV file.&#x20;

**Important Note:** This option is only available to customers that do not have an IdP selected and you are not using PeakCommerce's Auth0 integration.

## Importing Users

To import your user accounts, perform the following steps:

* Navigate to Users from the menu on the left.
* Click on Import/Export from the submenu that appears.
* Click Choose File to select the CSV file that you want to import.
* Click submit to import data from the selected file.
* The imported customer accounts will show up on the Users page.

## Required Column Headers

When you import a file, the first row (cell A horizontal) must have a specific set of headers.

The column headers for are listed below.

*role*

*firstName*

*lastName*

*username*

*amendmentDateAlignment*

*userProfile*

*activated*

*noticeToUser (required if you set a password)*

*resetPassword*

*password*

*confirmPassword*

*partner*

*salesRep*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.peakcommerce.com/product/using-peakcommerce/users-and-user-roles/importing-new-users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
